NAME

    rcp - remote file copy for AmiTCP 2.3b or greater


SYNOPSIS

    setenv RCPSEPARATOR <s>

    rcp [-p] filename1 filename2
    rcp [-p] [-r] filename .... directory


DESCRIPTION

    Rcp copies files between machines. Each file or directory argument is
    either a remote file name of the form ``rname@rhost<s>path'', or a
    local file name (containing no `<s>' characters, or a `/' before any
    `<s>'s). <s> is a separator character, and defaults to a bang ('!').
    See below for information on changing the separator.

    Note that if the destination path is not fully specified it is
    considered to be relative to the remote user's home directory.  If a
    remote user name is not specified, the user id you logged in as when
    you started AmiTCP is used.

    Rcp does not prompt for passwords; it performs remote execution via
    rcmd/rsh, and requires the same authorization. Rcp handles third
    party copies, where neither source nor target files are on the
    current machine.


OPTIONS

    -p  The -p option causes rcp to attempt to preserve (duplicate)
        in its copies the modification times and modes of the source
        files, ignoring the umask. By default, the mode and owner of
        file2 are preserved if it already existed; otherwise the mode of
        the source file modified by the umask on the destination host is
        used.

    -r  If any of the source files are directories, rcp copies each
        subtree rooted at that name; in this case the destination must
        be a directory.


SEPARATOR

    In UNIX RCP, <s> is a colon (':') but that is unusable on the Amiga.
    Therefore, in the Amiga version, <s> defaults to a bang ('!'). If
    you desire to change this, setenv the variable RCPSEPARATOR to the
    character you wish to use. For example, the AS225 version of rcp
    uses an equals sign ('=').


BUGS

    Doesn't detect all cases where the target of a copy might be a file
    in cases where only a directory should be legal. Is confused by any
    output generated by commands in a ".login", ".profile", or ".cshrc"
    file on the remote host. .Pp The destination user and hostname may
    have to be specified as ``rhost.rname'' when the destination machine
    is running the 4.2 version of rcp.

    Finally, because AmiTCP does not yet have an rsh daemon, Rcp has not
    been tested in client mode (i.e., executing rcp on a UNIX box with
    an Amiga as the destination, or copying from one Amiga to another.)
    When (or if) an rsh daemon is written for AmiTCP, this mode should
    become functional.


COPYRIGHT

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:

1.  Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.

3.  All advertising materials mentioning features or use of this
    software must display the following acknowledgement: This product
    includes software developed by the University of California,
    Berkeley and its contributors.

4.  Neither the name of the University nor the names of its contributors
    may be used to endorse or promote products derived from this
    software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS''
    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
    TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
    PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
    CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
    SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
    LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
    USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
    OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
    SUCH DAMAGE.


Copyright (c) 1983, 1990, 1993
The Regents of the University of California.  All rights reserved.

Ported to the Amiga by Michael Heinz - mheinz@ssw.com

