#include <stdio.h>
#include <stdarg.h>
#include "err.h"

void
err(FILE * f, const char *format,...)
{
    va_list ap;

    va_start(ap, format);

    vfprintf(f, format, ap);

    va_end(ap);

    putc('\n',f);
}

void
errx(FILE * f, const char *format,...)
{
    va_list ap;

    va_start(ap, format);

    vfprintf(f, format, ap);

    va_end(ap);

    putc('\n',f);

    exit(1);
}

void
warn(const char *format,...)
{
    va_list ap;

    va_start(ap, format);

    vfprintf(stderr, format, ap);

    va_end(ap);

    putc('\n',stderr);
}
